
<link rel="stylesheet" type="text/css" href="<?php echo DOMAIN ?>usermembers/css/mystyle.css" />  
<link rel="stylesheet" type="text/css" href="<?php echo DOMAIN ?>usermembers/css/dangKyMoGianHang.css" />  

<?php echo $this->Html->script('jquery.validate', true); ?>
<script type="text/javascript" src="<?php echo DOMAIN?>Usermembers/js/my_script.js"></script> 
<script>
$(function(){
	
	$('#tinh').change(function(){
		
		var id=$('#tinh').val();
		$.ajax({
			type: "POST", 
			url: "<?php echo DOMAIN;?>"+'usermembers/usermembers/get_quan',
			data: {cat: id},
			success: function(msg){	
			//alert(msg);
			var str=$.parseJSON(msg); var ok=0;			
				var str=$.parseJSON(msg);                     
						var ok=0;
						$("#div_quan").html("");
						$chuoi="<select id='quan'  name='data[Usermember][quan_id]' size='10' > ";
						$.each(str,function(i,chuoi){
							if(chuoi['id']!='') {
								$chuoi+='<option value="'+chuoi['id']+'">'+chuoi['name']+'</option>';                                 
							}			                                                
							//$chuoi+="</select>";							
							$("#div_quan").html($chuoi);
						});	

						$('#quan').change(function(){

						var id=$('#quan').val();
						//alert(id);
							$.ajax({
								type: "POST", 
								url: "<?php echo DOMAIN;?>"+'usermembers/usermembers/get_quan',
								data: {cat: id},
								success: function(msg){	
								//alert(msg);
								var str=$.parseJSON(msg); var ok=0;
								
									var str=$.parseJSON(msg);                     
											var ok=0;
											$("#div_phuong").html("");
											$chuoi="<select  name='data[Usermember][phuong_id]' size='10' > ";
											$.each(str,function(i,chuoi){                        
												if(chuoi['id']!='') {
													$chuoi+='<option value="'+chuoi['id']+'">'+chuoi['name']+'</option>';                                 
												}			                                                
												//$chuoi+="</select>";
												
												$("#div_phuong").html($chuoi);
											});
									
								
							
								}
							});	
								
				});	
			}
		});	

});



   $('.chinh').change(function(){

            var id=$('.chinh').val();
            //alert(id);
            $.ajax({
                type: "POST", 
                url: "<?php echo DOMAIN; ?>"+'usermembers/usermembers/get_donvi_city',
                data: {cat: id},
                //dataType: "json",
                success: function(msg){	                    
                    var str=$.parseJSON(msg);                     
                    var ok=0;
                    $("#con").html("");
                    $chuoi="<select multiple='multiple'  name='data[Usermember][parent_id]' size='10' > ";
                    $.each(str,function(i,chuoi){                        
                        if(chuoi['id']!='') {
                            $chuoi+='<option value="'+chuoi['id']+'">'+chuoi['name']+'</option>';                                 
                        }			                                                
                        //$chuoi+="</select>";
                        
                        $("#con").html($chuoi);
                    });
                }
            });	

        });



	
	

	
	
	$('#quan').change(function(){

						var id=$('#quan').val();
						//alert(id);
							$.ajax({
								type: "POST", 
								url: "<?php echo DOMAIN;?>"+'usermembers/usermembers/get_quan',
								data: {cat: id},
								success: function(msg){	
								//alert(msg);
								var str=$.parseJSON(msg); var ok=0;
								
									var str=$.parseJSON(msg);                     
											var ok=0;
											$("#div_phuong").html("");
											$chuoi="<select   name='data[Usermember][phuong_id]' size='10' > ";
											$.each(str,function(i,chuoi){                        
												if(chuoi['id']!='') {
													$chuoi+='<option value="'+chuoi['id']+'">'+chuoi['name']+'</option>';                                 
												}			                                                
												//$chuoi+="</select>";
												
												$("#div_phuong").html($chuoi);
											});
									
								
							
								}
							});	
								
				});	

				
					$("#name_shop").change(function(){
			var gianhang=$("#name_shop").val();
			
			$.ajax({
				type: "GET", 
				url: "<?php echo DOMAIN;?>"+'usermembers/usermembers/check_gianhang/',
				data: 'gianhang='+gianhang,
				success: function(msg){	
					//alert (msg);	
					$('#gianhang_error').find('span').remove().end();										
					$('#gianhang_error').append(msg);					
				}
			});
			
		});
	

	
	
		
	

});




</script>
<!-- Begin bottom-column -->


<div id="bottom-column" class="clearfix">
    <div class="title-bottom">
        <h3>ĐĂNG KÝ THÔNG TIN</h3>
        <!--                                        <span><a href="">Xem tất cả</a><img align="absmiddle" src="images/arrow2.png" /></span> -->
    </div>
	<form id="quanTriKhuVuc" action="<?php echo DOMAIN . "usermembers/usermembers/add" ?><?php if(isset($edit)) echo '/1';?>" method="POST" name="image" onsubmit="return test();">  
    <div class="main-bottom">                                        
        <p><span><?php $dem=1;echo $dem++?>) </span>Chọn đăng ký trong <span><a href="#">khu vực</a></span></p>
        <p>(Chọn xác nhận nơi có trụ sở / văn phòng giao dịch / của gian hàng)</p>
        <table id="selectTinhThanhPho">
            <tr>
                <td>
                    <div>
                        <p>Tỉnh/thành phố</p>
                     
                            <select multiple="multiple" class="chinh" id="tinh"  name="data[Usermember][city_id]" size="10">    
							<?php if(!isset($edit)) { ?>	
                            
                                <?php $ok = 0; foreach ($city as $key => $citys) {  ?> 
                                    <option <?php  if($ok == 0){echo "selected";} $ok = 1; ?> value="<?php echo $key ?>"><?php echo $citys; ?></option>
                                <?php } } else { ?>                                
								<option selected value="<?php echo $edit['Usermember']['city_id']; ?>"><?php  
								echo $this->requestAction('usermembers/login/get_name_city/'.$edit['Usermember']['city_id']);
								?>
								</option>
								<?php } ?>
                            </select>  
                       
                    </div>
                </td>
                <td>
                    <div>
                        <p>Quận / huyện</p>
						<div id="div_quan">
                        <select multiple="multiple" id="quan" name="data[Usermember][quan_id]">
						
                             <?php $ok = 0; foreach ($quan as $key => $citys) {  ?> 
                                    <option <?php  if(($ok == 0 && !isset($edit)) || (isset($edit)&&$edit['Usermember']['quan_id']==$key)){echo "selected";} $ok = 1; ?> value="<?php echo $key ?>"><?php echo $citys; ?></option>
                                <?php }?>   
								
								
                        </select>
						
						</div>
                    </div>
                </td>
                <td>
                    <div>
                        <p>Xã / Phường</p>
						<div id="div_phuong">
                       <select multiple="multiple" id="phuong" name="data[Usermember][phuong_id]">
                             <?php $ok = 0; foreach ($phuong as $key => $citys) {  ?> 
                                    <option <?php  if(($ok == 0 && !isset($edit)) || (isset($edit)&&$edit['Usermember']['phuong_id']==$key)){echo "selected";} $ok = 1; ?> value="<?php echo $key ?>"><?php echo $citys; ?></option>
                                <?php } ?>   
                        </select>
						</div>
                    </div>
                </td>
            </tr>
        </table>
        <p><span><?php echo $dem++?>) </span> Địa chỉ chi tiết (số nhà tên đường phố) <span>
		<input  type="text" class="input" name="address" value="<?php if(isset($edit)) echo $edit['Usermember']['address']?>" /></span></p>
        <p><span><?php echo $dem++?>) </span> Chọn các đơn vị hiển thị sản phẩm của gian hàng</p>
        <div class="selectDonvi">
            <p>Tên các đơn vị</p>
			<div id="con">
            <select multiple="multiple" name="donvi_id[]">
                <?php 
				if(isset($edit)){
				
				$mang=explode('|',$edit['Usermember']['donvi_id']); 
				
				}
				$mang[count($mang)]=0;
				$ok = 0; foreach ($donvi as $key => $citys) {  ?> 
                                    <option <?php  if(($ok == 0 && !isset($edit)) || in_array($key,$mang) ){echo "selected";} $ok = 1; ?> value="<?php echo $key ?>"><?php echo $citys; ?></option>
                                <?php } ?>   
            </select>
			</div>
        </div>
        <p><span><?php echo $dem++?>) </span>Đơn vị tiền của gian hàng 
        <ul id="donViTienTe">
            <li><input <?php if(!isset($edit) || $edit['Usermember']['unit_price']=='Nghìn đồng') echo 'checked="checked"'; ?> type="radio" value="Nghìn đồng" id="ProductStatus0" name="data[Usermember][unit_price]">
                        Nghìn đồng
                        &nbsp;&nbsp;&nbsp;</label></li>
            <li><input type="radio" <?php if(isset($edit) && $edit['Usermember']['unit_price']=='Triệu đồng') echo 'checked="checked"'; ?> value="Triệu đồng" id="ProductStatus0" name="data[Usermember][unit_price]">
                        Triệu đồng
                        &nbsp;&nbsp;&nbsp;</label></li>
			 <li><input type="radio" value="VNĐ" id="ProductStatus0" <?php if(isset($edit) && $edit['Usermember']['unit_price']=='VNĐ') echo 'checked="checked"'; ?> name="data[Usermember][unit_price]">
                        VNĐ
                        &nbsp;&nbsp;&nbsp;</label></li>
			 <li><input type="radio"  value="USD" <?php if(isset($edit) && $edit['Usermember']['unit_price']=='USD') echo 'checked="checked"'; ?> id="ProductStatus0" name="data[Usermember][unit_price]">
                        USD
                        &nbsp;&nbsp;&nbsp;</label></li>				
			
			
			
        </ul>
        </p>
        <br />
        
        <div class="clear"></div>
        <p><span><?php echo $dem++?>) </span> Giới hạn sản phẩm ít hơn</p>
        <ul id="gioiHan">
            <li><input <?php if(!isset($edit) || $edit['Usermember']['gioihansanpham']=='10') echo 'checked="checked"'; ?>   type="radio" value="10" id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        10</label></li>
            <li><input type="radio" <?php if(isset($edit) && $edit['Usermember']['gioihansanpham']=='50') echo 'checked="checked"'; ?> value="50" id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        50</label></li>
			 <li><input type="radio" value="100" <?php if(isset($edit) && $edit['Usermember']['gioihansanpham']=='100') echo 'checked="checked"'; ?> id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        100</label></li>
			 <li><input type="radio" <?php if(isset($edit) && $edit['Usermember']['gioihansanpham']=='200') echo 'checked="checked"'; ?> value="200" id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        200</label></li>	
			 <li><input type="radio" <?php if(isset($edit) && $edit['Usermember']['gioihansanpham']=='500') echo 'checked="checked"'; ?> value="500" id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        500</label></li>	
			 <li><input type="radio"  <?php if(isset($edit) && $edit['Usermember']['gioihansanpham']=='1000') echo 'checked="checked"'; ?> value="1000" id="ProductStatus0" name="data[Usermember][gioihansanpham]">
                        1000</label></li>				
			
        </ul>
        <br />
        <div class="clear"></div>
        <table>
		<input type="hidden" value="5" name="data[Usermember][role]"/>
		<input type="hidden" value="<?php if(isset($edit)) echo $edit['Usermember']['id']?>" name="data[Usermember][id]"/>
		
                                    <tr>
										 <td>
                                            <p><span><?php echo $dem++?>) </span>Họ tên</p>
                                            <input name="name" value="<?php if(isset($edit)) echo $edit['Usermember']['name']?>" id="name" type="text" class="input"/>
                                        </td> 
										
                                        <td width="316">
                                            <p><span><?php echo $dem++?>) </span> Email đăng ký</p>
                                            <input id="email" value="<?php if(isset($edit)) echo $edit['Usermember']['email']?>" <?php if(isset($edit)) echo 'readonly="true"'?>  name="email" type="text" class="input"/>
											<div id="validate-emai-register"><span id="error"></span></div>
                                        </td>
                                                                                          
                                    </tr>
									<?php if(!isset($edit)) {?>
                                    <tr>
									 <td>
                                            <p><span><?php echo $dem++?>) </span>Mật khẩu</p>
                                            <input name="password" id="password1" type="password" class="input"/>
                                        </td> 
                                        
                                        <td>
                                            <p><span><?php echo $dem++?>) </span>Xác nhận mật khẩu</p>
                                            <input name="confirm_password" id="confirm_password" type="password" class="input"/>
                                        </td>                                                    
                                    </tr>
									<?php } ?>
									<tr>
									
									<td>
										
									
											   <p><span><?php echo $dem++?>) </span> Tên gian hàng</p>
											
                                            <input name="company" value="<?php if(isset($edit)) echo $edit['Usermember']['company']?>" type="text" class="input"/>
										</td>
										<td>
                                            <p><span><?php echo $dem++?>) </span> Địa chỉ gian hàng</p>
											<?php echo DOMAIN.'gian-hang/';?>
                                            <input name="gianhang" id="name_shop" value="<?php if(isset($edit)) echo $edit['Usermember']['gianhang']?>" type="text" class="input"/>
											
											<div id="gianhang_error"><span id="error1"></span></div>
											
                                        </td>										
											
									</tr>
                                    <tr>
								 <td>
                                            <p><span><?php echo $dem++?>) </span> Số điện thoại liên hệ</p>
                                            <input name="phone" id="phone" class="input" type="text" onkeypress="return keypress(event);" value="<?php if(isset($edit)) echo $edit['Usermember']['phone']?>" />
                                        </td>
										
                                        <td>
                                            <p><span><?php echo $dem++?>) </span>Số CMND</p>
                                            <input name="cmnd" id="cmnd" value="<?php if(isset($edit)) echo $edit['Usermember']['cmnd']?>" class="input" type="text" onkeypress="return keypress(event);" />
                                        </td>                                                    
                                    </tr>
                                    <tr>
										
                                      
										
                                        <td>
                                            <p><span><?php echo $dem++?>) </span>Số tài khoản</p>
                                            <input name="data[Usermember][taikhoan]" class="input" id="taikhoan" type="text" onkeypress="return keypress(event);" value="<?php if(isset($edit)) echo $edit['Usermember']['taikhoan']?>" />
                                        </td>  
										<td>
                                            <p><span><?php echo $dem++?>) </span> Chi nhánh/địa điểm mở tài khoản</p>
                                            <input name="data[Usermember][subbank]" class="input" id="subbank" type="text"  value="<?php if(isset($edit)) echo $edit['Usermember']['subbank']?>" />
                                        </td>
										 	
                                                                                         
                                    </tr>
                                    <tr>
										 
										
                                        
										<td>
                                            <p><span><?php echo $dem++?>) </span>Ngân hàng</p>
                                            <input name="data[Usermember][bank]" value="<?php if(isset($edit)) echo $edit['Usermember']['bank']?>"  id="bank" type="text" class="input"/>
                                        </td>  
                                             <td>
											  <p><span><?php echo $dem++?>) </span>Link video youtube</p>
                                            <input name="data[Usermember][video]" value="<?php if(isset($edit)) echo $edit['Usermember']['video']?>"  id="bank" type="text" class="input"/>
											 </td>                                             
                                    </tr>
									
									
								
									
									<tr>
										<td colspan="2">
										<p><span><?php echo $dem++?>) </span> Các thông tin giới thiệu (tối đa 500 từ)</p>
										<textarea name="data[Usermember][info]" value="" class="textarea" maxlength="500"><?php if(isset($edit)) echo $edit['Usermember']['info']?></textarea>
										</td>
									</tr>
									
										<tr>
					<td colspan="2">
					<p><span><?php echo $dem++?>) </span>Đưa hình ảnh / chứng chỉ</p>
					
					
					Hình ảnh:  <input style="border:1px solid #BBBBBB; width:322px; padding:3px;" type="text" size="50" class="text-input medium-input datepicker" name="userfile" value="<?php if(isset($edit)) echo $edit['Usermember']['avata']?>" readonly="true" > &nbsp;
						 <input type="button" value="Chọn ảnh" class="button" onclick="javascript:OpenPopup('<?php echo DOMAINAD; ?>upload_picnews.php', 'remote');" />
					</td>
				</tr>
				
					<tr>
					<td colspan="2">
					<p><span><?php echo $dem++?>) </span>Đưa file (word , excel, pdf) thông báo giá tiền thêm cho một lần vận chuyển hàng đến từng khu vực hoặc từng đơn vị hoặc dùng dịch vụ tại nhà</p>
					
					
					File:  <input style="border:1px solid #BBBBBB; width:322px; padding:3px;" type="text" size="50" class="text-input medium-input datepicker" value="<?php if(isset($edit)) echo $edit['Usermember']['images']?>" name="userfile1" readonly="true" > &nbsp;
						 <input type="button" value="Chọn file" class="button" onclick="javascript:OpenPopup('<?php echo DOMAINAD; ?>upload_noresize.php', 'remote');" />
					</td>
				</tr>
		<?php if(!isset($edit)) {?>
		<tr>
				<td colspan="2">
						<div class="divXacNhan">
              
				<p id="bottomXacNhanDongY"><span><?php echo $dem++?>) </span>Điều khoản</p>
				<div class="div_quydinh">
				   
					<?php $setting=$this->requestAction('comment/setting');
					
					echo $setting['Setting']['regulations_vie'];
					?>
				
				<p id="note"><input type="checkbox" name="" id="checkboxAccept"  /> Tôi đồng ý với điều khoản và quy tắc</a></p>
				
				
				</div>
				
				   <!--        
                <input type="button" id="xacNhanDongY" value="Xác nhận đồng ý" />            
                <input name="accept" value="0" type="hidden" id="accept" />                 -->
                <div class="clear"></div>
				
            </div>
				</td>
			</tr>	
			<?php } else { ?>
			<input style="display:none" type="checkbox" name="" id="checkboxAccept" value="1" checked="checked"  />
			<?php } ?>
      	<tr>
					<td colspan="2">
						
            <div class="divXacNhan">
			<p><span><?php echo $dem++?>) </span> Mã xác nhận</p>

                        <div class="content-register" id="code-register">
                            <label for="email"><i></i> </label><a1 id="abc">
                                <img alt="" id="captcha" src="<?php echo DOMAIN ?>usermembers/usermembers/create_image" /></a1>&nbsp;&nbsp;<a href="javascript: reload()"><img src="<?php echo DOMAIN ?>images/change-image.gif"/></a>
                        </div>
                        <div class="content-register" id="privacy-register">
                          <br/><input maxlength="5"class="input_text" id="security" class="text-input-register" name="security" />
                        </div> 
						
						
						
                    </div>
					</td>
				</tr>
				<tr>
					<td colspan="2">
	  
					<input id="inputSubmit" type="submit" value ="<?php if(!isset($edit)) echo 'Đăng ký'; else echo 'Sửa thông tin';?>" />
					</td>
				</tr>	
		
		</table>
		
    </div>
	</form>
    <!-- End main -->
</div>
<!-- End bottom -->                                
